LIVE-BUILD(1)

NAME
live-build - System Build Komponenten

SYNTAX
lb bootstrap-includes [--verbose]

lb bootstrap-includes [--help]
lb bootstrap-includes [--version]

BESCHREIBUNG
live-build enthält die Komponenten um ein Live System von einem Konfigurationsverzeichnis zu erstellen.

Der lb bootstrap-hooks Befehl kopiert Include Dateien in den Bootstrap Stage.

SPEZIFIKATION
lb bootstrap-includes kopiert alle Include Dateien die sich im config/includes oder config/includes.bootstrap Verzeichnis innerhalb des Konfigurationsvereichnisses befinden.

Include Dateien benötigen weder einen speziellen Besitzer noch spezielle Zugriffsrechte. Sie werden automatisch als Root zugehörig markiert wenn sie von lb bootstrap-includes kopiert werden, die ursprünglichen Zugriffsrechte bleiben erhalten. Spezielle Besitzer können mit einer passenden Hook Datei gesetzt werden, siehe lb-bootstrap-hooks(1) für mehr Informationen über Hook Dateien.

Include Dateien im config/includes Verzeichnis werden als erstes kopiert, Include Dateien im config/includes.bootstrap Verzeichnis als zweites. Dateien die sowohl im Chroot als auch in einem der Include Verzeichnisse vorliegen werden ohne Rückfrage überschrieben, die spätere Datei überschreibt die frühere.

OPTIONEN

--verbose
    setzt verbose Option für mehr Ausgaben (Standardwert: aus).

-h, --help
    zeigt Hilfenachricht und beendet sich.

--version
    zeigt Versionsnummer des Programms und beendet sich.

DATEIEN

config/includes:
    Allgemeine Include Dateien.

config/includes.bootstrap:
    Include Dateien spezifisch für den Bootstrap Stage.

chroot:
    Verzeichnis in das die Include Dateien kopiert werden.

SIEHE AUCH

lb-chroot-includes(1)

lb-binary-includes(1)

lb-source-includes(1)

HOMEPAGE
Weitere Informationen über live-build und das Live Systems Projekt können auf der Homepage unter <http://live-systems.org/> und im Handbuch unter <http://live-systems.org/manual/> gefunden werden.

FEHLER
Fehler können durch Einreichen eines Fehlerberichtes für das live-build Paket im Bug Tracking System unter <http://bugs.debian.org/> oder durch Senden einer E-Mail an die Live Systems Mailing Liste unter <debian-live@lists.debian.org> (englischsprachig) mitgeteilt werden.

AUTOR
live-build wurde von Daniel Baumann <mail@daniel-baumann.ch> geschrieben.